Summary:       A library for manipulating storage volume encryption keys and storing them separately from volumes
Name:          volume_key
Version:       0.3.12
Release:       6%{?dist}
License:       GPLv2
URL:           https://pagure.io/volume_key/
Source0:       https://releases.pagure.org/%{name}/%{name}-%{version}.tar.xz

Patch0001:     volume_key-0.3.12-support_LUKS2_and_more.patch
Patch0002:     volume_key-0.3.12-fix_resource_leaks.patch

BuildRequires: make gcc
BuildRequires: cryptsetup-devel gettext-devel glib2-devel /usr/bin/gpg2
BuildRequires: gpgme-devel libblkid-devel nss-devel python3-devel nss-tools
Requires:      %{name}-libs = %{version}-%{release}

%description
The main goal of the software is to allow restoring access to an
encrypted hard drive if the primary user forgets the passphrase.
This package provides a command-line tool for manipulating storage
volume encryption keys and storing them separately from volumes.

%package devel
Summary: A library for manipulating storage encryption keys and passphrases
Requires: %{name}-libs = %{version}-%{release}

%description devel
This package provides libvolume_key, a library for manipulating
storage volume encryption keys and storing them separately from
volumes, and an associated command-line tool, named volume_key.

%package libs
Summary:  A library for manipulating storage encryption keys and passphrases
Requires: /usr/bin/gpg2

%description libs
This package provides libvolume_key, a library for manipulating
storage volume encryption keys and storing them separately from
volumes, and an associated command-line tool, named volume_key.

%package -n python3-%{name}
Summary:  Python 3 bindings for lib%{name}
Requires: %{name}-libs = %{version}-%{release}

%description -n python3-%{name}
This package provides python3 bindings for libvolume_key, a
library for manipulating storage volume encryption keys and
storing them separately from volumes.

%prep
%autosetup -p1

%build
%configure --with-python=no --with-python3=yes
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete

%find_lang %{name}

%check
make check

%files
%doc README contrib
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8*

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so

%files libs -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS
%{_libdir}/lib%{name}.so.*

%files -n python3-%{name}
%{python3_sitearch}/_%{name}.so
%{python3_sitearch}/%{name}.py*
%{python3_sitearch}/__pycache__/%{name}.*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.12-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.12-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.12-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.12-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.12-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Sep 22 2022 ZoeDong <zoedong@tencent.com> - 0.3.12-1
- Initial build
